package com.keao.edu.user.service.impl;


import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.common.entity.SysConfig;
import com.keao.edu.common.service.impl.BaseServiceImpl;
import com.keao.edu.user.dao.SysConfigDao;
import com.keao.edu.user.service.SysConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysConfigServiceImpl extends BaseServiceImpl<Long, SysConfig> implements SysConfigService {
	
	@Autowired
	private SysConfigDao sysConfigDao;

	@Override
	public BaseDAO<Long, SysConfig> getDAO() {
		return sysConfigDao;
	}

	@Override
	public SysConfig findByParamName(String paramName) {
		return sysConfigDao.findByParamName(paramName);
	}
}
